org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class PDListAttributeObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject
    - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject
      - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDListAttributeObject

All Implemented Interfaces:
  COSObjectable

    public class PDListAttributeObject
    extends PDStandardAttributeObject

A List attribute object.

Author:
  Johannes Koch

### Field Summary

Fields
`protected static String` `LIST_NUMBERING`
`static String` `LIST_NUMBERING_CIRCLE` ListNumbering: Circle: Open circular bullet
`static String` `LIST_NUMBERING_DECIMAL` ListNumbering: Decimal: Decimal arabic numerals (1–9, 10–99, …)
`static String` `LIST_NUMBERING_DISC` ListNumbering: Disc: Solid circular bullet
`static String` `LIST_NUMBERING_LOWER_ALPHA` ListNumbering: LowerAlpha: Lowercase letters (a, b, c, …)
`static String` `LIST_NUMBERING_LOWER_ROMAN` ListNumbering: LowerRoman: Lowercase roman numerals (i, ii, iii, iv, …)
`static String` `LIST_NUMBERING_NONE` ListNumbering: None: No autonumbering; Lbl elements (if present) contain arbitrary text not subject to any numbering scheme
`static String` `LIST_NUMBERING_SQUARE` ListNumbering: Square: Solid square bullet
`static String` `LIST_NUMBERING_UPPER_ALPHA` ListNumbering: UpperAlpha: Uppercase letters (A, B, C, …)
`static String` `LIST_NUMBERING_UPPER_ROMAN` ListNumbering: UpperRoman: Uppercase roman numerals (I, II, III, IV, …)
`static String` `OWNER_LIST` standard attribute owner: List

### Fields inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`UNSPECIFIED`

### Constructor Summary

Constructors
Constructor and Description
`PDListAttributeObject()` Default constructor.
`PDListAttributeObject(COSDictionary dictionary)` Creates a new List attribute object with a given dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getListNumbering()` Gets the list numbering (ListNumbering).
`void` `setListNumbering(String listNumbering)` Sets the list numbering (ListNumbering).
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`getArrayOfString, getColor, getColorOrFourColors, getInteger, getName, getName, getNameOrArrayOfName, getNumber, getNumber, getNumberOrArrayOfNumber, getNumberOrName, getString, isSpecified, setArrayOfName, setArrayOfNumber, setArrayOfString, setColor, setFourColors, setInteger, setName, setNumber, setNumber, setString`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject

`arrayToString, arrayToString, create, getOwner, isEmpty, notifyChanged, potentiallyNotifyChanged, setOwner, setStructureElement`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OWNER_LIST

    public static final String OWNER_LIST

standard attribute owner: List

See Also:
  Constant Field Values

#### LIST_NUMBERING

    protected static final String LIST_NUMBERING

See Also:
  Constant Field Values

#### LIST_NUMBERING_CIRCLE

    public static final String LIST_NUMBERING_CIRCLE

ListNumbering: Circle: Open circular bullet

See Also:
  Constant Field Values

#### LIST_NUMBERING_DECIMAL

    public static final String LIST_NUMBERING_DECIMAL

ListNumbering: Decimal: Decimal arabic numerals (1–9, 10–99, …)

See Also:
  Constant Field Values

#### LIST_NUMBERING_DISC

    public static final String LIST_NUMBERING_DISC

ListNumbering: Disc: Solid circular bullet

See Also:
  Constant Field Values

#### LIST_NUMBERING_LOWER_ALPHA

    public static final String LIST_NUMBERING_LOWER_ALPHA

ListNumbering: LowerAlpha: Lowercase letters (a, b, c, …)

See Also:
  Constant Field Values

#### LIST_NUMBERING_LOWER_ROMAN

    public static final String LIST_NUMBERING_LOWER_ROMAN

ListNumbering: LowerRoman: Lowercase roman numerals (i, ii, iii, iv, …)

See Also:
  Constant Field Values

#### LIST_NUMBERING_NONE

    public static final String LIST_NUMBERING_NONE

ListNumbering: None: No autonumbering; Lbl elements (if present) contain arbitrary text not subject to any numbering scheme

See Also:
  Constant Field Values

#### LIST_NUMBERING_SQUARE

    public static final String LIST_NUMBERING_SQUARE

ListNumbering: Square: Solid square bullet

See Also:
  Constant Field Values

#### LIST_NUMBERING_UPPER_ALPHA

    public static final String LIST_NUMBERING_UPPER_ALPHA

ListNumbering: UpperAlpha: Uppercase letters (A, B, C, …)

See Also:
  Constant Field Values

#### LIST_NUMBERING_UPPER_ROMAN

    public static final String LIST_NUMBERING_UPPER_ROMAN

ListNumbering: UpperRoman: Uppercase roman numerals (I, II, III, IV, …)

See Also:
  Constant Field Values

### Constructor Detail

#### PDListAttributeObject

    public PDListAttributeObject()

Default constructor.

#### PDListAttributeObject

    public PDListAttributeObject(COSDictionary dictionary)

Creates a new List attribute object with a given dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getListNumbering

    public String getListNumbering()

Gets the list numbering (ListNumbering). The default value is `LIST_NUMBERING_NONE`.

Returns:
  the list numbering

#### setListNumbering

    public void setListNumbering(String listNumbering)

Sets the list numbering (ListNumbering). The value shall be one of the following:

- `LIST_NUMBERING_NONE`,
- `LIST_NUMBERING_DISC`,
- `LIST_NUMBERING_CIRCLE`,
- `LIST_NUMBERING_SQUARE`,
- `LIST_NUMBERING_DECIMAL`,
- `LIST_NUMBERING_UPPER_ROMAN`,
- `LIST_NUMBERING_LOWER_ROMAN`,
- `LIST_NUMBERING_UPPER_ALPHA`,
- `LIST_NUMBERING_LOWER_ALPHA`.

Parameters:
  `listNumbering` - the list numbering

#### toString

    public String toString()

Overrides:
  `toString` in class `PDAttributeObject`